> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/push-provisioning/ja/implement-push-provisioning/implement-view-and-control/in-app-authentication-for-visa-ctf/approve-binding-or-cardholder-verification-request.md).

# バインディングまたはカード所有者確認リクエストを承認

### バインディングを承認

デバイスのバインディング要求を承認するには、 `DigitalCardService.approveBinding` を `digitalCardID` および `bindingReference`.

以下の例は、バインディング要求を承認する方法を示しています。

{% tabs %}
{% tab title="Android" %}

```kotlin
val digitalCardID = "" // payload の tokenReferenceID
val bindingReference = "" // payload の deviceIndex
val reason: DigitalCardService.BindingApprovalReason? =
    DigitalCardService.BindingApprovalReason.USER_DECISION // 任意; null の場合の既定値は ISSUER_DECISION

d1Task.digitalCardService().approveBinding(
    digitalCardID,
    bindingReference,
    reason,
    object : D1Task.Callback<Void> {
        override fun onSuccess(data: Void?) {
            // 成功を処理します。
        }

        override fun onError(e: D1Exception) {
            // エラーを処理します。
        }
    }
)
```

```java
String digitalCardID = ""; // payload の tokenReferenceID
String bindingReference = ""; // payload の deviceIndex
DigitalCardService.BindingApprovalReason reason =
        DigitalCardService.BindingApprovalReason.USER_DECISION; // 任意; null の場合の既定値は ISSUER_DECISION

d1Task.digitalCardService().approveBinding(
        digitalCardID,
        bindingReference,
        reason,
        new D1Task.Callback<Void>() {
            @Override
            public void onSuccess(Void data) {
                // 成功を処理します。
            }

            @Override
            public void onError(@NonNull D1Exception exception) {
                // エラーを処理します。
            }
        });
```

{% endtab %}

{% tab title="iOS" %}

```swift
do {
    let digitalCardID = "" // payload の tokenReferenceID
    let bindingReference = "" // payload の deviceIndex

    try await d1Task.digitalCardService().approveBinding(digitalCardID, bindingReference: bindingReference, reason: nil)
} catch let error {
    // エラーを処理します。
}
```

{% endtab %}
{% endtabs %}

### カード所有者の確認を承認

カード所有者の確認要求を承認するには、 `DigitalCardService.approveCardholderVerification` を `digitalCardID`.

以下の例は、カード所有者の確認要求を承認する方法を示しています。

{% tabs %}
{% tab title="Android" %}

```kotlin
val digitalCardID = "" // VISA CTF から取得
val reason: DigitalCardService.VerificationReason? = null // 任意; null の場合の既定値は ISSUER_DECISION

d1Task.digitalCardService().approveCardholderVerification(
    digitalCardID,
    reason,
    object : D1Task.Callback<Void> {
        override fun onSuccess(data: Void?) {
            // 成功を処理します。
        }

        override fun onError(e: D1Exception) {
            // エラーを処理します。
        }
    }
)
```

```java
String digitalCardID = ""; // VISA CTF から取得
DigitalCardService.VerificationReason reason = null; // 任意; null の場合の既定値は ISSUER_DECISION

d1Task.digitalCardService().approveCardholderVerification(
        digitalCardID,
        reason,
        new D1Task.Callback<Void>() {
            @Override
            public void onSuccess(Void data) {
                // 成功を処理します。
            }

            @Override
            public void onError(@NonNull D1Exception exception) {
                // エラーを処理します。
            }
        });
```

{% endtab %}

{% tab title="iOS" %}

```swift
do {
    let digitalCardID = "" // VISA CTF から取得
    try await d1Task.digitalCardService().approveCardholderVerification(digitalCardID, reason: nil)
} catch let error {
    // エラーを処理します。
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/push-provisioning/ja/implement-push-provisioning/implement-view-and-control/in-app-authentication-for-visa-ctf/approve-binding-or-cardholder-verification-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
